package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.math.BigDecimal;

/**
 * 用户账户表
 */
@TableName("user_cash_account")
@ApiModel(value = "UserAccount对象", description = "用户账户表")
public class UserAccount implements Serializable {
	private static final long serialVersionUID = 1L;
    @ApiModelProperty("用户表id ")
    @TableId(value = "user_id_")
    private Long userId;
    @ApiModelProperty("总金额 ")
	@TableField(value = "amount_total_")
    private BigDecimal amountTotal;
    @ApiModelProperty("可用余额 ")
	@TableField(value = "amount_usable_")
    private BigDecimal amountUsable;
    @ApiModelProperty("冻结金额 ")
	@TableField(value = "amount_frozen_")
    private BigDecimal amountFrozen;
    @ApiModelProperty("状态 0-停用 1-使用 ")
	@TableField(value = "status_")
    private Byte status;
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    @ApiModelProperty("修改时间 ")
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

	public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
    
	public BigDecimal getAmountTotal() {
        return amountTotal;
    }

    public void setAmountTotal(BigDecimal amountTotal) {
        this.amountTotal = amountTotal;
    }
    
	public BigDecimal getAmountUsable() {
        return amountUsable;
    }

    public void setAmountUsable(BigDecimal amountUsable) {
        this.amountUsable = amountUsable;
    }
    
	public BigDecimal getAmountFrozen() {
        return amountFrozen;
    }

    public void setAmountFrozen(BigDecimal amountFrozen) {
        this.amountFrozen = amountFrozen;
    }
    
	public Byte getStatus() {
        return status;
    }

    public void setStatus(Byte status) {
        this.status = status;
    }
    
	public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
	public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    
}